Skip to content

Booking status

GET
/public/v1/bookings/{id}/status
curl --request GET \
--url https://example.kwickbooking.com/public/v1/bookings/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status \
--header 'X-KB-Publishable-Key: <X-KB-Publishable-Key>'

Whether a widget booking is confirmed and paid, for the widget to poll after checkout.

id
required
string format: uuid

OK

Media typeapplication/json

Polled booking status (the widget polls this after the redirect; webhook is source of truth).

object
bookingId
required
string format: uuid
state
required
string
paymentConfirmed
required
boolean
reference
null | string
Example
{
"bookingId": "01920000-0000-7000-8000-000000000010",
"state": "Confirmed",
"paymentConfirmed": true,
"reference": "48271936"
}

Invalid or missing integration key (https://developers.kwickblocks.ai/problems/invalid-key)

Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Exampleinvalid-key

Invalid or missing integration key

{
"type": "https://developers.kwickblocks.ai/problems/invalid-key",
"title": "Invalid or missing integration key",
"status": 401,
"detail": "This integration key isn't valid. Ask the venue's admin for a new one."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplenot-found

Not found

{
"type": "https://developers.kwickblocks.ai/problems/not-found",
"title": "Not found",
"status": 404,
"detail": "I couldn't find that."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplerate-limited

Too many requests

{
"type": "https://developers.kwickblocks.ai/problems/rate-limited",
"title": "Too many requests",
"status": 429,
"detail": "There have been too many requests. Please try again in a minute."
}